Bug 137935 - Please remove dependency of rhpl on synaptics! Up2date should not depend on xorg-x11-libs.
Please remove dependency of rhpl on synaptics! Up2date should not depend on x...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-02 17:16 EST by Rodolfo J. Paiz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: rhpl-0.148.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-06 15:27:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodolfo J. Paiz 2004-11-02 17:16:40 EST
Description of problem: By requiring synaptics, rhpl requires
xorg-x11-libs and xorg-x11-Mesa-libGL. Those in turn require other
packages, so that in reality up2date (which requires rhpl) cannot be
installed without also being forced to install another 16MB of
graphical packages. This seriously bloats a minimal install and is
causing problems for us in lower-end hardware.


Version-Release number of selected component (if applicable):
FC3 Release Candidate 5

How reproducible: Always.


Steps to Reproduce:
1. Attempt to remove xorg* and find that synaptics requires it.
2. Attempt to remove synaptics and find that rhpl requires it.
3. Attempt to remove rhpl and find that up2date requires it.
4. 16MB of cruft cannot be removed unless one also removes up2date.
  
Actual results:


Expected results: Ideally, rhpl should not *require* the synaptics
driver. I mean, how many systems actually have this touchpad? Should
*everyone* have to install that driver just to use up2date?


Additional info: Given that we (in RULE Project, www.rule-project.org)
are installing hundreds of P/100 to P/200 machines with 500MB or 1GB
hard drives or less in African, European, and Latin American schools,
an extra helping of nearly 20MB of stuff is a *MAJOR* problem. We
would like to keep up2date, but cannot keep so much extra stuff which
seems totally unnecessary.

Please help us keep a minimal install actually "minimal" without
sacrificing functionality for any Fedora users, either on modern or
ancient hardware. Make rhpl *not* require synaptics.

Thanks!
Comment 1 Harald Hoyer 2004-11-03 05:33:53 EST
yeah, this is really annoying. rhpl means redhat-python-library and
not metaconfigtoolpackage...
Comment 2 Paul Nasrat 2004-11-08 17:31:23 EST
rhpl 0.150-1 has removed this
Comment 3 Rodolfo J. Paiz 2004-11-15 13:03:14 EST
May I ask when rhpl-0.150-1 will be pushed out as an update to
FC3-stable? Thanks.
Comment 4 Paul Nasrat 2004-11-15 13:12:18 EST
I wasn't planning on doing this, it'll just be fixed in FC4
Comment 5 Barry K. Nathan 2004-11-15 16:29:46 EST
Is there any chance the synaptics dependency will at least be removed
for RHEL 4, then?
Comment 6 Rodolfo J. Paiz 2004-11-15 21:16:03 EST
Oh no... come on, Paul, pleeeeeeeease? Think of the 2,500 people/month
who read and use my HOWTO, and who will thank you each time for making
their lives easier. Think of the space (and the download bandwidth)
saved from future patches and updates. Think of the boundless
gratitude, the joy... the opportunity to mark a bug as CLOSED!!!

Please, pretty please? This one update will save the RULE project a
boatload of time, space, and packages. I don't know of any other way
to get rid of those extra packages, and I alone run about 50 computers
on such minimal installs. A few other people I know directly add up to
about 2,000 computers, and they are trying to move from RHL-9 to FC3
(currently testing their installer already).

I know all this is a drop in the bucket to the many many thousands of
Fedora users out there, but I'm trying to get some sympathy here.
<grin> Say yes, will ya?
Comment 7 Paul Nasrat 2004-11-16 10:17:02 EST
built for RHEL-4, I'll push an FC update later in the week.
Comment 8 Rodolfo J. Paiz 2004-11-16 10:24:57 EST
You da man! I'll test the update and close the bug ASAP.
Comment 9 Rodolfo J. Paiz 2004-12-06 13:32:22 EST
I don't mean to nag, but is that update going to be released soon? Thanks!
Comment 11 Paul Nasrat 2004-12-06 15:27:52 EST
rhpl-0.148.1-2
Comment 12 Rodolfo J. Paiz 2004-12-06 15:46:35 EST
Thank you!

Note You need to log in before you can comment on or make changes to this bug.